Subject: Re: [HELP] Loading Mingw32 built DLLs into an MSVC application (again)
From: [email-masked] (Anders Norlander)

23 Sep 1998 13:46:14 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Gilles Depeyrot <[email-masked]>
Cc: [email-masked]

Gilles Depeyrot wrote:
> 
> Le (the) 18/09/98 18:19, Anders Norlander a écrit (wrote) :
> 
> >> I've been trying on and off for several months to create a DLL
> >> using egcs and loading it into an MSVC 5.0 compiled application
> >> under Windows 95.
> >>
> >> The problem I am encountering is that I succeed in building a
> >> relocatable DLL (at least I think it is) with egcs and have no
> >> problem loading it either with a small test program compiled
> >> either with egcs or with MSVC.
> >>
> >> However, I have never succeeded in loading my sample DLL into
> >> my real life application. LoadLibrary returns NULL and GetLastError
> >> returns 0 !
> >
> >What if you statically link the DLL with your app?
> 
> That seems like an interesting test. However, howow should I go about
> creating a .lib for my DLL in order to link statically in MSVC 5 ?

I don't have MSVC but I think the procedure to create an import
library is something likes this.

1.) Create the .DEF file
2.) Create the import library. The command line should look like
this: `LIB /def:<name>.def /out:<name>.lib

/Anders
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".